      subroutine xx(darray, darray0, yf, cpa, ipp)
      integer dim
      parameter (dim=120)
      real*8 darray(*), darray0(*), yf(*), cpa(*), ipp(*)
      integer l,i,j,k;
      do l=1,dim
         cpa(l) = ipp(l)
      enddo
  100 continue
      k = l;
      do l=1,dim
         darray(l)  = 0.02d0*darray0(l);
      enddo
      do l=1,dim
         if (yf(l).gt.cpa(l)) then
            k=k+1
         endif
      enddo
      if (k.eq.0) go to 120
      if (k.gt.19) then
        go to 100
      endif
  120 continue
      return
      end
